## vala-utils vala-utils |

## Functions

void | vala_send_dbus_error_message ()
void | vala_set_dbus_error ()
void | vala_array_free ()
void | vala_dbus_get_gvalue ()
void | vala_dbus_append_gvalue ()
return | dbus_message_iter_append_basic ()

## Types and Values

dbus_bool_t | dv

## Description

## Functions

### vala_send_dbus_error_message ()

    void
    vala_send_dbus_error_message (DBusConnection *connection,
                                  DBusMessage *message,
                                  GError *error);

### vala_set_dbus_error ()

    void
    vala_set_dbus_error ();

### vala_array_free ()

    void
    vala_array_free (gpointer array,
                     gint array_length,
                     GDestroyNotify destroy_func);

### vala_dbus_get_gvalue ()

    void
    vala_dbus_get_gvalue (DBusMessageIter *super_it,
                          GValue *val);

### vala_dbus_append_gvalue ()

    void
    vala_dbus_append_gvalue (DBusMessageIter *it,
                             const char *key,
                             GValue *val);

### dbus_message_iter_append_basic ()

    return
    dbus_message_iter_append_basic (iter Param1,
                                    DBUS_TYPE_BOOLEAN Param2);

## Types and Values

### dv

        dbus_bool_t dv = val;